@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.4/font/bootstrap-icons.css");

:root {
    --color-main: darkcyan;
    --color-main-dark: rgb(0, 112, 112);
    --color-light-gray: #a6a6a6;
    --color-background: #f1f2f7;
}

body {
    font-size: 14px;
}

.relative {
    position: relative;
}

a {
    color: var(--color-main);
    text-decoration: none;
    transition: none !important;
}

a:hover {
    text-decoration: underline;
}

p+p {
    margin-bottom: 0;
}

.page-title {
    font-size: 30px;
    font-weight: 200;
    color: var(--color-main);
}

.text-bg-success {
    background-color: var(--color-main) !important;
}

.toast {
    width: auto;
    pointer-events: none;
    border-radius: 6px;
    overflow: hidden;
    position: relative;
}



.toast.show:after {
    content: "";
    display: inline-block;
    width: 100%;
    height: 5px;
    opacity: .5;
    background-color: white;
    animation: time-lapse 5.1s linear;
    position: absolute;
    left: 0;
    bottom: 0;
    right: 0;
}

.toast:after {
    display: none;
}

@keyframes time-lapse {
    0% {
        width: 0;
    }

    100% {
        width: 100%;
    }
}

/**/
.btn {
    border: 0;
    border-radius: 100px;
    text-transform: uppercase;
    font-size: 14px;
    transition: none;
}

.btn-primary {
    background-color: var(--color-main) !important;
}

.min-with-400 {
    min-width: 400px;
}

.btn-primary:hover,
.btn-primary:active,
.btn-primary:focus {
    background-color: var(--color-main-dark) !important;
}

.btn-sm {
    font-size: 12px;
    padding: 5px 10px 4px 10px;
}

/**/
.form-control {
    border-radius: 100px;
    border: 1px solid var(--color-main);
}

.form-label {
    font-size: 12px;
    text-transform: uppercase;
    font-weight: bold;
}

input[type="checkbox"] {
    height: 30px;
    width: 30px;
    padding: 0 !important;
    margin-left: 0 !important;
    float: none !important;
    border-radius: 100px !important;
    background-position: center !important;
    background-image: none !important
}

input[type="checkbox"]:checked {
    background-image: var(--bs-form-check-bg-image) !important;
}


.row .form-check {
    padding-left: calc(var(--bs-gutter-x) * .5) !important;
}

/**/
.input-group-prepend {}

.input-group-append {}

/**/

footer {
    color: white;
    position: relative;
    margin-top: 60px;
}

a.app-brand {
    background-color: white;
    border-radius: 100px;
    padding: 10px 20px;
    color: var(--color-main) !important;
    text-decoration: none;
    font-size: 30px;
    display: inline-block;
}

/**/
.navbar {
    background-color: var(--color-main);
}

.navbar a.app-brand {
    font-size: 15px;
    padding: 5px 10px;
}

.navbar a {
    font-size: 15px;
}

.navbar a.active::before {
    content: "x";

}

.navbar li a {
    color: white !important;
}

.navbar .offcanvas[aria-modal="true"] li a {
    color: var(--color-main) !important;
}

.navbar .offcanvas-header a.app-brand {
    background-color: var(--color-main);
    color: white !important;
}

.navbar .offcanvas-header a.icon-link {
    line-height: 0;
}

.navbar a.icon-link i::before {
    vertical-align: 0;
    font-size: 20px;
}

/**/
.table-hover>tbody>tr:hover>* {
    background-color: rgba(0, 139, 139, .1);
}


td .dropdown-menu,
.submenu .dropdown-menu {
    min-width: auto;
    font-size: 14px;
}

/**/
.breadcrumb {
    margin-bottom: 0;
    font-size: 12px;
}

.breadcrumb-item {
    opacity: .6;
}

/**/
.submenu {
    background-color: rgba(0, 139, 139, .1);
}

.submenu a {
    color: var(--color-main) !important;
}

/**/
.page-account-pre-register main,
.page-account-register main,
.page-account-recover main,
.page-account-login main {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background-image: url(/imgs/bg1.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    position: relative;
}

.page-account-pre-register main::before,
.page-account-register main::before,
.page-account-recover main::before,
.page-account-login main::before {
    content: "";
    display: block;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background: var(--color-main);
    background: -webkit-linear-gradient(bottom, var(--color-main-dark), var(--color-main));
    opacity: .9;
}

.page-account-pre-register main form,
.page-account-register main form,
.page-account-recover main form,
.page-account-login main form {
    margin-top: 60px;
    background: white;
    padding: 30px;
    border-radius: 10px;
}

.page-account-pre-register main form .form-label,
.page-account-register main form .form-label,
.page-account-recover main form .form-label,
.page-account-login main form .form-label {
    color: var(--color-main);
}

.page-account-pre-register main form h3,
.page-account-register main form h3,
.page-account-recover main form h3,
.page-account-login main form h3 {
    font-weight: normal;
    font-size: 18px;
    margin-bottom: 30px;
}

/**/
.alert_wrapper {
    display: none;
}

.alert_wrapper.active {
    display: block;
}

.alert_wrapper .alert_backdrop {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: black;
    opacity: 0.4;
    z-index: 2;
}

.alert_wrapper .alert_inner {
    z-index: 3;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    align-items: center;
    flex-direction: column;
}

.alert_wrapper .alert_item {
    padding: 10px 20px;
    border-radius: 3px;
}

.alert_wrapper .alert_item+.alert_item {
    margin-top: 5px;
}

.alert_wrapper .alert_item.alert_info {
    background: #cde8f5;
    color: #4480ae;
}

.alert_wrapper .alert_item.alert_warning {
    background: #f8f3d6;
    color: #967132;
}

.alert_wrapper .alert_item.alert_error {
    background: #ecc8c5;
    color: #b32f2d;
}

.alert_wrapper .alert_item.alert_success {
    background: #def2d6;
    color: #5a7052;
}

.alert_wrapper .alert_item .icon {
    font-size: 32px;
}

.alert_wrapper .alert_item .close {
    cursor: pointer;
}

/**/
.pass-rules-wrapper {
    display: flex;
    flex-direction: column;
    text-align: left;
    padding: 10px 10px 0 10px;
}

.pass-rules-wrapper ul {
    margin: 0;
    padding: 0;
}

.pass-rules-wrapper ul li {
    list-style-position: inside;
    list-style: none;
}

.pass-rules-wrapper ul li:before {
    content: "\2717";
    color: darkred;
    font-weight: bold;
    display: inline-block;
    width: 1em;
}

.pass-rules-wrapper ul li.ok:before {
    content: "\2713";
    color: green;

}

@media print {
    .no-print {
        display: none;
    }
}